/*
 *  TOPPERS/OSEK Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      OSEK Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2003 by Naoki Saito
 *             Nagoya Municipal Industrial Research Institute, JAPAN
 *  Copyright (C) 2004 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2004-2006 by Witz Corporation, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 */

/*
 *	^[QbgVXeɈˑ`iCQ7144Apj
 */

#ifndef _SYS_DEFS_H_
#define _SYS_DEFS_H_

/*
 * X^bN擪Ԓn
 */

#define STACK_TOP (0xFFFFFFFC)

/*
 * 荞݃xN^̐擪Ԓn
 */

#define VECTOR_TOP	(0x0)

/* 
 *  ^[Qbgʃ}N(VXe̒`)
 */
#define INTERFACE

/*
 *  NbZ[W̃^[QbgVXe
 */
#define TARGET_NAME "SH2/CQ7144A"

/*
 *  ORAMgp邩̒`
 */
 
#define USE_SRAM

/*
 *  ݔԍ̒`
 */

#define INT_ILGL_OP			(4)			/* 4  +0x0010 ʕs */
										/* 5  +0x0014 VXe\ */
#define INT_SLOT_ILGL		(6)			/* 6  +0x0018 Xbgs */
										/* 7  +0x001C VXe\ */
										/* 8  +0x0020 VXe\ */
#define INT_AUD_ADRERR		(9)			/* 9  +0x0024 CPU/AUD ADDRESS ERROR */
#define INT_DMAC_ADRERR		(10)		/* 10 +0x0028 DMAC/DTC ADDRESS ERROR */
#define INT_NMI				(11)		/* 11 +0x002C NMI */
#define INT_USRBRK			(12)		/* 12 +0x0030 [Uu[N */
										/* 13 +0x0034 VXe\ */
#define INT_HUDI			(14)		/* 14 +0x0038 H-UDI*/
										/* 15 +0x003C VXe\ */
										/*           F            */
										/* 31 +0x007C VXe\ */
#define INT_TRAP20			(32)		/* 32 +0x0080 gbv */
#define INT_TRAP21			(33)		/* 33 +0x0084 gbv */
#define INT_TRAP22			(34)		/* 34 +0x0088 gbv */
#define INT_TRAP23			(35)		/* 35 +0x008C gbv */
#define INT_TRAP24			(36)		/* 36 +0x0090 gbv */
#define INT_TRAP25			(37)		/* 37 +0x0094 gbv */
#define INT_TRAP26			(38)		/* 38 +0x0098 gbv */
#define INT_TRAP27			(39)		/* 39 +0x009C gbv */
#define INT_TRAP28			(40)		/* 40 +0x00A0 gbv */
#define INT_TRAP29			(41)		/* 41 +0x00A4 gbv */
#define INT_TRAP30			(42)		/* 42 +0x00A8 gbv */
#define INT_TRAP31			(43)		/* 43 +0x00AC gbv */
#define INT_TRAP32			(44)		/* 44 +0x00B0 gbv */
#define INT_TRAP33			(45)		/* 45 +0x00B4 gbv */
#define INT_TRAP34			(46)		/* 46 +0x00B8 gbv */
#define INT_TRAP35			(47)		/* 47 +0x00BC gbv */
#define INT_TRAP36			(48)		/* 48 +0x00C0 gbv */
#define INT_TRAP37			(49)		/* 49 +0x00C4 gbv */
#define INT_TRAP38			(50)		/* 50 +0x00C8 gbv */
#define INT_TRAP39			(51)		/* 51 +0x00CC gbv */
#define INT_TRAP40			(52)		/* 52 +0x00D0 gbv */
#define INT_TRAP41			(53)		/* 53 +0x00D4 gbv */
#define INT_TRAP42			(54)		/* 54 +0x00D8 gbv */
#define INT_TRAP43			(55)		/* 55 +0x00DC gbv */
#define INT_TRAP44			(56)		/* 56 +0x00E0 gbv */
#define INT_TRAP45			(57)		/* 57 +0x00E4 gbv */
#define INT_TRAP46			(58)		/* 58 +0x00E8 gbv */
#define INT_TRAP47			(59)		/* 59 +0x00EC gbv */
#define INT_TRAP48			(60)		/* 60 +0x00F0 gbv */
#define INT_TRAP49			(61)		/* 61 +0x00F4 gbv */
#define INT_TRAP50			(62)		/* 62 +0x00F8 gbv */
#define INT_TRAP51			(63)		/* 63 +0x00FC gbv */
#define INT_IRQ0			(64)		/* 64 +0x0100 IPRA15-IPRA12 IRQ0*/
#define INT_IRQ1			(65)		/* 65 +0x0104 IPRA11-IPRA8  IRQ1*/
#define INT_IRQ2			(66)		/* 66 +0x0108 IPRA7-IPRA4   IRQ2*/
#define INT_IRQ3			(67)		/* 67 +0x010C IPRA3-IPRA0   IRQ3*/
#define INT_IRQ4			(68)		/* 68 +0x0110 IPRB15-IPRB12 IRQ4*/
#define INT_IRQ5			(69)		/* 69 +0x0114 IPRB11-IPRB8  IRQ5*/
#define INT_IRQ6			(70)		/* 70 +0x0118 IPRB7-IPRB4   IRQ6*/
#define INT_IRQ7			(71)		/* 71 +0x011C IPRB3-IPRB0   IRQ7*/
#define INT_DEI0			(72)		/* 72 +0x0120 IPRC15-IPRC12 DEI0 */
#define INT_DEI1			(76)		/* 76 +0x0130 IPRC11-IPRC8 DEI1 */
#define INT_DEI2			(80)		/* 80 +0x0140 IPRC7-IPRC4  DEI2 */
#define INT_DEI3			(84)		/* 84 +0x0150 IPRC3-IPRC0  DEI3 */
#define INT_TGIA0			(88)		/* 88 +0x0160 IPRD15-IPRD12 TGIA_0 */
#define INT_TGIB0			(89)		/* 89 +0x0164 IPRD15-IPRD12 TGIB_0 */
#define INT_TGIC0			(90)		/* 90 +0x0168 IPRD15-IPRD12 TGIC_0 */
#define INT_TGID0			(91)		/* 91 +0x016C IPRD15-IPRD12 TGID_0 */
#define INT_TCIV0			(92)		/* 92 +0x0170 IPRD11-IPRD8 TCIV_0 */
#define INT_TGIA1			(96)		/* 96  +0x0180 IPRD7-IPRD4 TGIA_1 */
#define INT_TGIB1			(97)		/* 97  +0x0184 IPRD7-IPRD4 TGIB_1 */
#define INT_TCIV1			(100)		/* 100 +0x0190 IPRD3-IPRD0 TCIV_1 */
#define INT_TCIU1			(101)		/* 101 +0x0194 IPRD3-IPRD0 TCIU_1 */
#define INT_TGIA2			(104)		/* 104 +0x01A0 IPRE15-IPRE12 TGIA_2 */
#define INT_TGIB2			(105)		/* 105 +0x01A4 IPRE15-IPRE12 TGIB_2 */
#define INT_TCIV2			(108)		/* 108 +0x01B0 IPRE11-IPRE8 TCIV_2 */
#define INT_TCIU2			(109)		/* 109 +0x01B4 IPRE11-IPRE8 TCIU_2 */
#define INT_TGIA3			(112)		/* 112 +0x01C0 IPRE7-IPRE4 TGIA_3 */
#define INT_TGIB3			(113)		/* 113 +0x01C4 IPRE7-IPRE4 TGIB_3 */
#define INT_TGIC3			(114)		/* 114 +0x01C8 IPRE7-IPRE4 TGIC_3 */
#define INT_TGID3			(115)		/* 115 +0x01CC IPRE7-IPRE4 TGID_3 */
#define INT_TCIV3			(116)		/* 116 +0x01D0 IPRE3-IPRE0 TCIV_3 */
#define INT_TGIA4			(120)		/* 120 +0x01E0 IPRF15-IPRF12 TGIA_4 */
#define INT_TGIB4			(121)		/* 121 +0x01E4 IPRF15-IPRF12 TGIB_4 */
#define INT_TGIC4			(122)		/* 122 +0x01E8 IPRF15-IPRF12 TGIC_4 */
#define INT_TGID4			(123)		/* 123 +0x01EC IPRF15-IPRF12 TGID_4 */
#define INT_TCIV4			(124)		/* 124 +0x01F0 IPRF11-IPRF8 TCIV_4 */
#define INT_ERI0			(128)		/* 128 +0x0200 IPRF7-IPRF4 ERI_0 */
#define INT_RXI0			(129)		/* 129 +0x0204 IPRF7-IPRF4 RXI_0 */
#define INT_TXI0			(130)		/* 130 +0x0208 IPRF7-IPRF4 TXI_0 */
#define INT_TEI0			(131)		/* 131 +0x020C IPRF7-IPRF4 TEI_0 */
#define INT_ERI1			(132)		/* 132 +0x0210 IPRF3-IPRF0 ERI_1 */
#define INT_RXI1			(133)		/* 133 +0x0214 IPRF3-IPRF0 RXI_1 */
#define INT_TXI1			(134)		/* 134 +0x0218 IPRF3-IPRF0 TXI_1 */
#define INT_TEI1			(135)		/* 135 +0x021C IPRF3-IPRF0 TEI_1 */
#define INT_ADI0			(136)		/* 136 +0x0220 IPRG15-IPRG12 ADI0 */
#define	INT_ADI1			(137)		/* 137 +0x0224 IPRG15-IPRG12 ADI1 */
#define INT_SWDTEND			(140)		/* 140 +0x0230 IPRG11-IPRG8 SWDTEND */
#define CMI0				(144)		/* 144 +0x0240 IPRG7-IPRG4 CMI0 */
#define CMI1				(148)		/* 148 +0x0250 IPRG3-IPRG0 CMI1 */
#define ITI					(152)		/* 152 +0x0260 IPRH15-IPRH12 ITI */
										/* 153 +0x0264 VXe\ */
										/* 154 +0x0268 VXe\ */
										/* 155 +0x026C VXe\ */
#define MTUOEI							/* 156 +0x0270 IPRH11-IPRH8 MTUOEI */
										/* 160 +0x0280 VXe\ */
										/*            F            */
										/* 167 +0x029C VXe\ */
#define INT_ERI2			(128)		/* 168 +0x02A0 IPRI15-IPRI12 ERI_2 */
#define INT_RXI2			(129)		/* 169 +0x02A4 IPRI15-IPRI12 RXI_2 */
#define INT_TXI2			(130)		/* 170 +0x02A8 IPRI15-IPRI12 TXI_2 */
#define INT_TEI2			(131)		/* 171 +0x02AC IPRI15-IPRI12 TEI_2 */
#define INT_ERI3			(128)		/* 172 +0x02B0 IPRI11-IPRI8 ERI_3 */
#define INT_RXI3			(129)		/* 173 +0x02B4 IPRI11-IPRI8 RXI_3 */
#define INT_TXI3			(130)		/* 174 +0x02B8 IPRI11-IPRI8  TXI_3 */
#define INT_TEI3			(131)		/* 175 +0x02BC IPRI11-IPRI8  TEI_3 */
										/* 176 +0x02C0 VXe\ */
										/*            F            */
										/* 191 +0x02FC VXe\ */

#endif /* _SYS_DEFS_H_ */
